getChangeNotices
READGet change notices.
POST /api/v1/items/getChangeNotices
curl -X POST '<your-host>/api/v1/items/getChangeNotices' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"affectedItems": "…",
"approvalRequirements": [
"string"
],
"assignee": "string",
"changeOrderId": "string",
"changeOrderTypeId": "string",
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"customFields": "…",
"description": "…",
"dueDate": "string",
"id": "string",
"itemIds": [
"string"
],
"name": "string",
"nonConformanceId": "string",
"openDate": "string",
"priority": "Low",
"reasonForChange": "…",
"requiredActionIds": [
"string"
],
"sourceId": "string",
"sourceType": "string",
"status": "Cancelled",
"tags": [
"string"
],
"type": "Engineering",
"updatedAt": "string",
"updatedBy": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
}
}
}
}
}